comanagementEligibleDevice を作成する

名前空間: microsoft.graph

大事な: /beta バージョンの Microsoft Graph API は変更される可能性があります。運用環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい comanagementEligibleDevice オブジェクトを 作成します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All

HTTP 要求

POST /deviceManagement/comanagementEligibleDevices

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、comanagementEligibleDevice オブジェクトの JSON 表現を指定します。

次の表に、comanagementEligibleDevice を作成するときに必要なプロパティを示します。

プロパティ 説明
id String デバイスの一意の ID
deviceName String DeviceName
deviceType deviceType DeviceType。 指定できる値は次のとおりです。 desktop, , windowsRT, winMO6, nokia, iPhone``windows10x``surfaceHub``unix``blackberry``macMDM``linux``winCE``mac``winEmbedded``iPad``iPod``windowsPhone``iSocConsumer``holoLens``android``chromeOS``androidnGMS``androidForWork``androidEnterprise, palm, . unknown``cloudPC
clientRegistrationStatus deviceRegistrationState ClientRegistrationStatus. 可能な値は、notRegisteredregisteredrevokedkeyConflictapprovalPendingcertificateResetnotRegisteredPendingEnrollmentunknown です。
ownerType ownerType OwnerType。 可能な値は unknowncompanypersonal です。
managementAgents managementAgentType ManagementAgents。 指定できる値は次のとおりです。 , , , , intuneClient``easMdm, easIntuneClient, configurationManagerClientMdm``configurationManagerClient, configurationManagerClientMdmEas, microsoft365ManagedMdm``unknown``googleCloudDevicePolicyController``intuneAosp``msSense``jamf. mdm``eas
managementState managementState ManagementState。 可能な値は、managedretirePendingretireFailedwipePendingwipeFailedunhealthydeletePendingretireIssuedwipeIssuedwipeCanceledretireCanceleddiscovered です。
referenceId String ReferenceId
mdmStatus String MDMStatus
osVersion String OSVersion
シリアル番号 String シリアル番号
manufacturer String 製造元
model String モデル
osDescription String OSDescription
entitySource Int32 EntitySource
userId String UserId
Upn String UPN
userEmail String UserEmail
userName String UserName
status coManagementEligibleType ComanagementEligibleStatus. 可能な値は、comanagedeligibleeligibleButNotAzureAdJoinedneedsOsUpdateineligible です。

応答

成功した場合、このメソッドは 201 Created 応答コードと応答本文の comanagementEligibleDevice オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/comanagementEligibleDevices
Content-type: application/json
Content-length: 714

{
  "@odata.type": "#microsoft.graph.comanagementEligibleDevice",
  "deviceName": "Device Name value",
  "deviceType": "windowsRT",
  "clientRegistrationStatus": "registered",
  "ownerType": "company",
  "managementAgents": "mdm",
  "managementState": "retirePending",
  "referenceId": "Reference Id value",
  "mdmStatus": "Mdm Status value",
  "osVersion": "Os Version value",
  "serialNumber": "Serial Number value",
  "manufacturer": "Manufacturer value",
  "model": "Model value",
  "osDescription": "Os Description value",
  "entitySource": 12,
  "userId": "User Id value",
  "upn": "Upn value",
  "userEmail": "User Email value",
  "userName": "User Name value",
  "status": "eligible"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 763

{
  "@odata.type": "#microsoft.graph.comanagementEligibleDevice",
  "id": "ac20683b-683b-ac20-3b68-20ac3b6820ac",
  "deviceName": "Device Name value",
  "deviceType": "windowsRT",
  "clientRegistrationStatus": "registered",
  "ownerType": "company",
  "managementAgents": "mdm",
  "managementState": "retirePending",
  "referenceId": "Reference Id value",
  "mdmStatus": "Mdm Status value",
  "osVersion": "Os Version value",
  "serialNumber": "Serial Number value",
  "manufacturer": "Manufacturer value",
  "model": "Model value",
  "osDescription": "Os Description value",
  "entitySource": 12,
  "userId": "User Id value",
  "upn": "Upn value",
  "userEmail": "User Email value",
  "userName": "User Name value",
  "status": "eligible"
}